com.pixelmed.test

## Class TestCTIrradiationEventDataFromImages

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestCTIrradiationEventDataFromImages

-     public class TestCTIrradiationEventDataFromImages
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCTIrradiationEventDataFromImages(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestCTIrradiationEventDataFromImages_AcquisitionNumber()`
    `void` | `TestCTIrradiationEventDataFromImages_Anatomy()`
    `void` | `TestCTIrradiationEventDataFromImages_AnatomyCombined()`
    `void` | `TestCTIrradiationEventDataFromImages_AnatomyDifferent()`
    `void` | `TestCTIrradiationEventDataFromImages_Localizer()`
    `void` | `TestCTIrradiationEventDataFromImages_PitchFactorZero()`
    `void` | `TestCTIrradiationEventDataFromImages_SeriesNumber_OneAcquisitionTime()`
    `void` | `TestCTIrradiationEventDataFromImages_SeriesNumber_TwoAcquisitionTimes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCTIrradiationEventDataFromImages

          public TestCTIrradiationEventDataFromImages(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestCTIrradiationEventDataFromImages_SeriesNumber_OneAcquisitionTime

          public void TestCTIrradiationEventDataFromImages_SeriesNumber_OneAcquisitionTime()
                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTIrradiationEventDataFromImages_SeriesNumber_TwoAcquisitionTimes

          public void TestCTIrradiationEventDataFromImages_SeriesNumber_TwoAcquisitionTimes()
                                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTIrradiationEventDataFromImages_AcquisitionNumber

          public void TestCTIrradiationEventDataFromImages_AcquisitionNumber()
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTIrradiationEventDataFromImages_Localizer

          public void TestCTIrradiationEventDataFromImages_Localizer()
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTIrradiationEventDataFromImages_PitchFactorZero

          public void TestCTIrradiationEventDataFromImages_PitchFactorZero()
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTIrradiationEventDataFromImages_Anatomy

          public void TestCTIrradiationEventDataFromImages_Anatomy()
                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTIrradiationEventDataFromImages_AnatomyDifferent

          public void TestCTIrradiationEventDataFromImages_AnatomyDifferent()
                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTIrradiationEventDataFromImages_AnatomyCombined

          public void TestCTIrradiationEventDataFromImages_AnatomyCombined()
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`